Skip to main content
GET
/
intents
List Intents
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/intents \
  --header 'x-api-key: <x-api-key>'
{
  "data": [
    {
      "id": "12345678901234567890",
      "status": "COMPLETED",
      "fromChains": [
        1,
        8453
      ],
      "account": "0x3672e268a79bd4acc5ee646bdda652547c7a435c",
      "createdAt": 1633493100,
      "toChain": 10,
      "token": "0x0b2c639c533813f4aa9d7837caf62653d097ff85",
      "amount": "1000000"
    }
  ],
  "pagination": {
    "nextCursor": "1024",
    "hasNextPage": true
  }
}

Headers

x-api-key
string
required

Rhinestone API key

x-api-version
string

API version (YYYY-MM.name). Will become required in a future release.

Pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
Example:

"2026-01.alps"

Query Parameters

cursor
string

Opaque cursor from a previous response (pagination.nextCursor). Omit for the first page.

Pattern: ^\d+$
Example:

"1024"

limit
integer
default:20

Max items per page (max 100)

Required range: 1 <= x <= 100
Example:

20

Response

200

Paginated list of the client’s intents

data
object[]
required

Intents on this page, newest first

pagination
object
required

Keyset pagination metadata